Home//
REST API Reference
/- Update a visitor
Retrieve a visitor with User ID
Convert a visitor
Update a visitor
Sending a PUT request to /visitors will result in an update of an existing Visitor.
Option 1. You can update a visitor by passing in the user_id of the visitor in the Request body.
Option 2. You can update a visitor by passing in the id of the visitor in the Request body.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.7"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.7
Any of:
Update an existing visitor.
- The production API serverhttps://api.intercom.io/visitors
- The european API serverhttps://api.eu.intercom.io/visitors
- The australian API serverhttps://api.au.intercom.io/visitors
- object
- object (2)
- successful
- visitor Not Found
curl -i -X PUT \
https://api.intercom.io/visitors \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.7' \
-d '{
"id": "6657a9246abd0160d35d1f68",
"name": "Gareth Bale"
}'successful
Automatically generated identifier for the Visitor.
Example:"8a88a590-e1c3-41e2-a502-e0649dbf721c"
Response
{ "type": "visitor", "id": "6657a9246abd0160d35d1f68", "user_id": "3ecf64d0-9ed1-4e9f-88e1-da7d6e6782f3", "anonymous": true, "email": "", "phone": null, "name": "Gareth Bale", "pseudonym": "Charcoal Balloon", "avatar": { "type": "avatar", "image_url": "https://static.intercomassets.com/app/pseudonym_avatars_2019/charcoal-balloon.png" }, "app_id": "this_is_an_id636_that_should_be_at_least_", "companies": { "type": "company.list", "companies": [] }, "location_data": {}, "last_request_at": null, "created_at": 1717020964, "remote_created_at": 1717020964, "signed_up_at": 1717020964, "updated_at": 1717020964, "session_count": 0, "social_profiles": { "type": "social_profile.list", "social_profiles": [] }, "owner_id": null, "unsubscribed_from_emails": false, "marked_email_as_spam": false, "has_hard_bounced": false, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "custom_attributes": {}, "referrer": null, "utm_campaign": null, "utm_content": null, "utm_medium": null, "utm_source": null, "utm_term": null, "do_not_track": null }